Subject: Re: [PATCH] ppc32: pmac sleep support update

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 20 Jan 2005 12:01:54 +1100

On Thu, 2005-01-20 at 01:43 +0100, Andreas Schwab wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> 
> > Even when building xmon into the kernel ?
> 
> Doh!  I didn't think of that.  This is what I get from xmon:
> 
>     <2>kernel BUG in unlock_page at mm/filemap.c:430!
>     vector: 700 at pc = c003f098, lr = c0041654
>     msr = 29032, sp = e71b1c80 [e71b1bd0]
>     current = e7bbec70, pid = 2915, comm = syslogd
> 
> c0041654 = generic_file_buffered_write
> 
> Last kernel messages:
> 
>     radeonfb: switching to D0 state...
>     HID1, after: 70000044
>     cpufreq: resume failed to assert current frequency is what timing core thinks it is.

Weird ... Can you try without cpufreq built in the kernel ? Also what is
the exact CPU revision ? I think you are just experiencing memory
corruption...

Ben.